TechSpot

Question About Graphics Card

By Calibur
Mar 2, 2006
Topic Status:
Not open for further replies.
  1. Hey, i have a question about my graphics card. Everytime I try to run the game Lego Star Wars i get an error message that says "Sorry but your machine is unable to run this game. It requires a graphics card which supports pixel shaders v1.1"

    My card is a Mobile Intel 915GM/GMS, 910GML Express Chipset Family.
    I checked it on the intel website and the card supports pixel shaders.
    I also have the latest drivers installed.

    I thought there might be something i didnt enable in the settings but i cant seem to find anything.

    Any help would be appreciated
  2. JMMD

    JMMD TechSpot Chancellor Posts: 1,177

    Do you have the latest DirectX installed?
  3. Calibur

    Calibur TS Rookie Topic Starter

    Indeed i do DirectX 9c
  4. sw123

    sw123 TS Rookie Posts: 752

    Bad News about your card

    That card has pixel shader support, but it doesnt have TnL (Transform and Lighting) which is required for the game. I would recommend upgrading. The cheapest I know of that works is the ATI Radeon 9200 PCI, theres also an AGP version of it, but that only works if you have an AGP slot.
  5. Calibur

    Calibur TS Rookie Topic Starter

    Alright, thanks for responding :)
  6. sw123

    sw123 TS Rookie Posts: 752

    Glad I could help, but I have another recommendation for you if your budget's low. Try the Radeon 8500. Its a supported chipset, and also download the latest drivers, and you should play your wonderful Lego Star Wars! :)


    P.S: What is your computer's specs?
Topic Status:
Not open for further replies.


Add New Comment

TechSpot Members
Login or sign up for free,
it takes about 30 seconds.
You may also...


Get complete access to the TechSpot community. Join thousands of technology enthusiasts that contribute and share knowledge in our forum. Get a private inbox, upload your own photo gallery and more.